#
# spec file for package ghc-ekg-wai
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ekg-wai
Name:           ghc-%{pkg_name}
Version:        0.1.0.2
Release:        4.1
Summary:        Remote monitoring of processes
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-ekg-core-devel
BuildRequires:  ghc-ekg-json-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wai-app-static-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-warp-devel

%description
This library lets you remotely monitor a running process over HTTP. It provides
a simple way to integrate a monitoring server into any application.
This is a port of the ekg library to depend on wai instead of snap.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/assets
%{_datadir}/%{pkg_name}-%{version}/assets/index.html
%{_datadir}/%{pkg_name}-%{version}/assets/monitor.js
%{_datadir}/%{pkg_name}-%{version}/assets/monitor.css
%{_datadir}/%{pkg_name}-%{version}/assets/jquery.flot.min.js
%{_datadir}/%{pkg_name}-%{version}/assets/jquery-1.6.4.min.js
%{_datadir}/%{pkg_name}-%{version}/assets/bootstrap-1.4.0.min.css
%{_datadir}/%{pkg_name}-%{version}/assets/chart_line_add.png
%{_datadir}/%{pkg_name}-%{version}/assets/cross.png

%files devel -f %{name}-devel.files
%doc CHANGES.md LICENSE.icons LICENSE.javascript README.md examples

%changelog
* Thu Aug 17 2017 psimons@suse.com
- Update to version 0.1.0.2.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.1.0.1 with cabal2obs.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 0.1.0.0 with cabal2obs.
